#!/bin/sh

trap "kill 0" SIGINT

PROGRAM=./feeder_sinc

amount=100000000
echo "# timing processing of $amount bytes"

for i in 0 1;  do
    for q in 0 1 2 3 4 5 6 7 8 9 10 ; do
	printf "Quality\t $q\t Technique\t $i"
	t=`/usr/bin/time -p -o /dev/stdout ${PROGRAM} -i $i -q $q -m $amount -c 2 -n 8000 32000 2>/dev/null`
	echo " $t" | tr '\n' ' '
	echo
    done
    echo
done
